select
  an.numero
  , tent.data as data_tentativa
  , diag.data as data_diagnostico
  , (case when (diag.diagnostico = 'P') then 'P' else 'N' end) as diagnostico
  , prot.descricao as protocolo_iatf
  , (tent.data - ultpar.data) as dias_pos_parto
  , (case when ((tent.data - ultpar.data) between 0 and 29) then '< 30'
        when ((tent.data - ultpar.data) between 30 and 45) then '30 a 45'
        when ((tent.data - ultpar.data) between 46 and 60) then '46 a 60'
        when ((tent.data - ultpar.data) between 61 and 90) then '61 a 90'
        when ((tent.data - ultpar.data) between 91 and 120) then '91 a 120'
        when ((tent.data - ultpar.data) > 120) then '> 120'
        else '' end) as periodo_pos_parto
from
  reproducao tent
  join animal an on an.cdanimal = tent.cdanimal
  join reproducao diag on diag.cdreproducao =
    (select first 1 re.cdreproducao from reproducao re where re.cdanimal = tent.cdanimal and re.data > tent.data and
        ((re.cdtiporeproducao in (1,2,3,7)) or (re.diagnostico is not null) or (re.cio in (1,2))) order by re.data asc)
  join protocoloiatf prot on prot.cdprotocoloiatf = tent.cdprotocoloiatf
  join reproducao ultpar on ultpar.cdreproducao =
    (select first 1 re.cdreproducao from reproducao re where re.cdanimal = tent.cdanimal and re.cdtiporeproducao = 7 and
        re.data < tent.data order by re.data desc)
where
  tent.cdtiporeproducao in (1,2,3)
 ---- INSIRA AQUI O PERIODO DA TENTATIVA. MANTENHA AS ASPAS SIMPLES E O FORMATO AAAA-MM-DD.
  and tent.data between '2014-07-01' and '2014-11-30'
order by
  tent.data
